package org.bitbucket.bradleysmithllc.etlunit.feature.execute;

import org.bitbucket.bradleysmithllc.etlunit.feature.FeatureModule;
import org.bitbucket.bradleysmithllc.etlunit.feature.extend.ExtensibleFeatureModule;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestValueObject;

import java.util.Arrays;
import java.util.List;

@FeatureModule
public class ExecuteFeatureModule extends ExtensibleFeatureModule {
	private static final List<String> prerequisites = Arrays.asList("logging");

	@Override
	protected boolean handles(ETLTestOperation etlTestOperation, ETLTestValueObject etlTestValueObject) {
		return etlTestOperation.getOperationName().equals("execute");
	}

	@Override
	public List<String> getPrerequisites() {
		return prerequisites;
	}

	public String getFeatureName() {
		return "execute";
	}
}